# Getting Started

Fork and then clone the tutorial repository
<a href="https://git-r3lab.uni.lu/R3/school/git/advanced-practice">https://git-r3lab.uni.lu/R3/school/git/advanced-practice</a>

```bash
$ git clone ssh://git@git-r3lab-server.uni.lu:8022/<first.last>/advanced-practice.git
```

Add a remote upstream
```bash
$ cd advanced-practice

# add upstream URL
$ git remote add upstream ssh://git@git-r3lab-server.uni.lu:8022/R3/school/git/advanced-practice.git
$ git fetch upstream
```
Check the remotes
```bash
$ git remote -v
```

Create your own branch `myBranch` based on the `develop` branch from `usptream` using the `-b` flag
```bash
$ git checkout -b <mybranch> upstream/develop
```



# Installing the mergetool `kdiff3`


* Download it here: https://sourceforge.net/projects/kdiff3/files/

* The downloadable file should match your OS

* Setting up `kdiff3`:

```bash
$ git config --global --add merge.tool kdiff3
$ git config --global --add mergetool.kdiff3.path "<kdiff3 path>"
$ git config --global --add mergetool.kdiff3.trustExitCode false
$ git config --global --add diff.guitool kdiff3
$ git config --global --add difftool.kdiff3.path "<kdiff3 path>"
$ git config --global --add difftool.kdiff3.trustExitCode false
```

* omit `""` when setting up on Linux or macOS



# A note on common commands:

This workshop will not cover in detail the following commands, assuming you are familiar with them:

- `git checkout`
- `git add`
- `git commit`
- `git log`
- `git show`

Feel free to ask any questions if you run into any issues!

For your reference:
```bash
$ git <command> --help
```
Replace `<command>` with the command you want help for.

Exit with `q`
