# Reverting a commit

* Enables the deletion of committed commits by reverting the changes.
* A trace is kept in history of the original commit and the reverted one.



# Example:

* On your branch, create and commit a file:
```bash
$ cd attendees
$ echo "# Grades for Firstname Lastname" > grades.md
$ git add grades.md
$ git commit -m "File with grades for Firstname Lastname"
```

* check the commit log and copy the SHA1:
```bash
$ git log
```
* Use the `git revert` command to undo this selected commit:
```bash
$ git revert <sha1>
```
